{% extends "niveau_editor_python.html" %}

{% set niveau = 4 %}

{% block head %}
{{ super() }}
<link rel="stylesheet" type="text/css" href="{{ SITEURL }}/theme/css/pygments.css">
{% endblock %}

{% block instructions_niveau %}
Une méthode très simple pour sortir d’un labyrinthe parfait est celle de « la main contre le mur ». Elle consiste à utiliser sa main gauche (ou sa main droite), de la poser contre le mur et d’avancer sans jamais décoller sa main.
<p>
  Plus précisément, si l’on a choisi la main gauche, s’il n’y a pas de mur à gauche, on est obligé d’y aller, sinon on va décoller sa main du mur. Sinon, s’il n’y a pas de mur en face, on va tout droit et ainsi de suite.
<p>
  La figure ci-dessous résume les quatre situations possibles, pour la méthode de « la main gauche » (a) et celle de « la main droite » (b).
<p>
  <img src="{{ SITEURL }}/theme/images/algo_main_gauche.svg"
       style="display: block;
              margin-left: auto;
              margin-right: auto;
              width: 50%;"/>
  <div style="text-align: center;">(a) Méthode de la main gauche.</div>
<p>
  <img src="{{ SITEURL }}/theme/images/algo_main_droite.svg"
       style="display: block;
              margin-left: auto;
              margin-right: auto;
              width: 50%;"/>
  <div style="text-align: center;">(b) Méthode de la main droite.</div>
<p>
Votre travail consiste à compléter le programme suivant pour implémenter la méthode de « la main gauche » :

{% include 'squelette.html' %}

<p>

  C’est l’ordinateur qui s’occupe de répéter ces actions jusqu’à ce que l’on trouve la sortie du labyrinthe. On rappels les quatre instructions utiles :

<ul style="list-style: inside;">
  <li><code>avancer</code></li>
  <li><code>faire_demi_tour</code></li>
  <li><code>aller_a_gauche</code></li>
  <li><code>aller_a_droite</code></li>
</ul>

<p>
  Bonus : écrire le programme de la méthode de « la main droite ».
{% endblock %}

{% block editor_code %}
{% include 'squelette.py' %}
{% endblock %}
